-- 用命令行创建数据库和表并初始化数据
-- sqlite3 portalcommon.db < portalcommon.sql
-- 用户表

-- 订单表
create table t_order
(
    order_id varchar not null primary key,
    user_id varchar,
    store_id varchar,
    store_type varchar,
    store_name varchar,
    order_status varchar,
    order_no varchar,
    order_type varchar,
    goods_desc varchar,	
    delivery_time varchar,
    pay_time varchar,
    order_time varchar,
    delivery_section varchar,
    receive_address varchar,
    receive_name varchar,
    receive_phone varchar,
    last_update varchar,
    unique (order_id) on conflict replace
);
-- 用户表
create table t_user
(
    user_id varchar not null primary key,
    user_name varchar,
    nick_name varchar,
    password varchar,
    icon varchar,
    dep_type varchar,
    partner_name varchar,
    status varchar,
    phone varchar,
    last_login varchar,
    unique (user_id) on conflict replace
);

create table if not exists t_store
(
    user_id varchar,
    store_id varchar,
    store_type varchar,
    number varchar,
    name varchar,
    phone varchar,
    address varchar,
    primary key(user_id,store_id,store_type)
);

create table t_execption_order
(
    user_id varchar not null primary key,
    max_create_time varchar,
    read_status integer default 1
);

create table app_info
(
    app_id varchar primary key not null,
    name                varchar,
    code                varchar,
    download_url        varchar,
    icon_url            varchar,
    index_url           varchar,
    app_url             varchar,
    status integer not null default 0,
    app_download_status integer not null default 0,
    app_version         varchar,
    install_version     varchar,
    download_version	varchar,
    type integer not null default 0,
    verificationString  varchar
);

create table pre_install
(
    app_id varchar primary key not null,
    download_version varchar not null,
    path varchar not null,
    verificationString varchar
);


